## org.apache.mahout.ga.watchmaker.cd
Interface Rule

All Known Implementing Classes:
  CDRule

    public interface Rule

Classification rule.

Method Summary
`int` `classify(DataLine dl)` Classifies the given dataLine

Method Detail

### classify

    int classify(DataLine dl)

  Classifies the given dataLine

  Parameters:
    `dl` - dataLine to classify
  Returns:
    class of dl

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.